<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Savage Avengers</Series>
  <Number>006</Number>
  <Web>https://www.comixology.com/Savage-Avengers-2019-6/digital-comic/794711</Web>
  <Volume>2019</Volume>
  <Summary>Conan &amp; The Punisher attempt to walk out of the Savage Land hauling the caskets of Frank’s family...through Antarctica. Frank Castle never was much of a religious man...but now he’s firmly “Crom-curious”... Watch out for the last page, it’s a doozy.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB794711], [RELDATE:2019-10-02]</Notes>
  <Publisher>Marvel</Publisher>
  <Genre>Superhero</Genre>
  <PageCount>26</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
